From 8a592e4ead4ed6befe6044da3dd2dc7523c33905 Mon Sep 17 00:00:00 2001
From: Mingli Yu <Mingli.Yu@windriver.com>
Date: Fri, 16 Nov 2018 13:52:49 +0800
Subject: [PATCH] Makefile.in: remove _BUILD_STRING and _BUILD_TIME

Remove _BUILD_STRING and _BUILD_TIME to avoid
adding timestamp to _pl_bld.h which can result
in adding timestamp in library file such as
libnspr4.so.
 $ readelf --wide --decompress --hex-dump=.rodata libnspr4.so
 [snip]
  0x00004000 32303138 2d31312d 31352030 353a3439 2018-11-15 05:49
 [snip]

Upstream-Status: Pending

Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com>
---
 lib/ds/Makefile.in        | 8 +-------
 lib/libc/src/Makefile.in  | 8 +-------
 lib/prstreams/Makefile.in | 8 +-------
 pr/src/Makefile.in        | 8 +-------
 4 files changed, 4 insertions(+), 28 deletions(-)

--- a/nspr/lib/ds/Makefile.in
+++ b/nspr/lib/ds/Makefile.in
@@ -110,13 +110,7 @@ GARBAGE += $(TINC)
 
 $(TINC):
 	@$(MAKE_OBJDIR)
-	@$(ECHO) '#define _BUILD_STRING "$(SH_DATE)"' > $(TINC)
-	@if test ! -z "$(SH_NOW)"; then \
-	    $(ECHO) '#define _BUILD_TIME $(SH_NOW)$(SUF)' >> $(TINC); \
-	else \
-	    true; \
-	fi
-	@$(ECHO) '#define _PRODUCTION "$(PROD)"' >> $(TINC)
+	@$(ECHO) '#define _PRODUCTION "$(PROD)"' > $(TINC)
 
 
 $(OBJDIR)/plvrsion.$(OBJ_SUFFIX): plvrsion.c $(TINC)
--- a/nspr/lib/libc/src/Makefile.in
+++ b/nspr/lib/libc/src/Makefile.in
@@ -112,13 +112,7 @@ GARBAGE += $(TINC)
 
 $(TINC):
 	@$(MAKE_OBJDIR)
-	@$(ECHO) '#define _BUILD_STRING "$(SH_DATE)"' > $(TINC)
-	@if test ! -z "$(SH_NOW)"; then \
-	    $(ECHO) '#define _BUILD_TIME $(SH_NOW)$(SUF)' >> $(TINC); \
-	else \
-	    true; \
-	fi
-	@$(ECHO) '#define _PRODUCTION "$(PROD)"' >> $(TINC)
+	@$(ECHO) '#define _PRODUCTION "$(PROD)"' > $(TINC)
 
 
 $(OBJDIR)/plvrsion.$(OBJ_SUFFIX): plvrsion.c $(TINC)
--- a/nspr/lib/prstreams/Makefile.in
+++ b/nspr/lib/prstreams/Makefile.in
@@ -110,13 +110,7 @@ endif
 
 $(TINC):
 	@$(MAKE_OBJDIR)
-	@$(ECHO) '#define _BUILD_STRING "$(SH_DATE)"' > $(TINC)
-	@if test ! -z "$(SH_NOW)"; then \
-	    $(ECHO) '#define _BUILD_TIME $(SH_NOW)$(SUF)' >> $(TINC); \
-	else \
-	    true; \
-	fi
-	@$(ECHO) '#define _PRODUCTION "$(PROD)"' >> $(TINC)
+	@$(ECHO) '#define _PRODUCTION "$(PROD)"' > $(TINC)
 
 
 $(OBJDIR)/plvrsion.$(OBJ_SUFFIX): plvrsion.c $(TINC)
--- a/nspr/pr/src/Makefile.in
+++ b/nspr/pr/src/Makefile.in
@@ -306,13 +306,7 @@ GARBAGE += $(TINC)
 
 $(TINC):
 	@$(MAKE_OBJDIR)
-	@$(ECHO) '#define _BUILD_STRING "$(SH_DATE)"' > $(TINC)
-	@if test ! -z "$(SH_NOW)"; then \
-	    $(ECHO) '#define _BUILD_TIME $(SH_NOW)$(SUF)' >> $(TINC); \
-	else \
-	    true; \
-	fi
-	@$(ECHO) '#define _PRODUCTION "$(PROD)"' >> $(TINC)
+	@$(ECHO) '#define _PRODUCTION "$(PROD)"' > $(TINC)
 
 
 $(OBJDIR)/prvrsion.$(OBJ_SUFFIX): prvrsion.c $(TINC)
